From khali@linux-fr.org Mon May  2 14:11:47 2005
Date: Mon, 2 May 2005 23:08:22 +0200
From: Jean Delvare <khali@linux-fr.org>
To: Greg KH <greg@kroah.com>
Subject: I2C: Fix bugs in the new w83627ehf driver

These are the fixes for the bug you spotted in my new w83627ehf driver:
	- Explicit division by 0.

Signed-off-by: Jean Delvare <khali@linux-fr.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/i2c/chips/w83627ehf.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/i2c/chips/w83627ehf.c	2005-05-02 14:26:56.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/w83627ehf.c	2005-05-02 14:27:19.000000000 -0700
@@ -450,7 +450,7 @@
 		data->fan_min[nr] = 1;
 		new_div = 0; /* 1 == (1 << 0) */
 		dev_warn(dev, "fan%u low limit %u above maximum %u, set to "
-			 "maximum\n", nr + 1, val, fan_from_reg(1, 0));
+			 "maximum\n", nr + 1, val, fan_from_reg(1, 1));
 	} else {
 		/* Automatically pick the best divider, i.e. the one such
 		   that the min limit will correspond to a register value
